Modify

#972 closed enhancement (fixed)

[PATCH] allow filtering of blist output

Reported by: felix@… Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 3.0.5
Keywords: blist patch Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro:

Description

Attached patched adds an (optional) second parameter to blist. If present, it is treated as regex and used to filter the result list.

Attachments (1)

bitlbee-blist-filter.patch (4.5 KB) - added by felix@… at 2012-06-14T20:20:06Z.

Download all attachments as: .zip

Change History (5)

Changed at 2012-06-14T20:20:06Z by felix@…

Attachment: bitlbee-blist-filter.patch added

comment:1 Changed at 2013-12-08T17:35:31Z by anonymous

Will this be merged into bzr?

comment:2 Changed at 2014-02-04T05:13:53Z by dx

Keywords: blist patch added

Don't know if this will be merged, as everyone seems to want their blist in slightly different ways. Adding patch tag anyway.

comment:3 Changed at 2014-02-04T19:19:29Z by dx

07:26 < wilmer> That's reasonably short and on firsst sight well-written. \o/
07:26 < wilmer> dx: I'm in favour more of this kind of patches (for searching)
than output reformatting at least.

comment:4 Changed at 2014-10-11T07:51:40Z by dx

Resolution: fixed
Status: newclosed

Merged here http://code.bitlbee.org/lh/bitlbee/revision/1040

Thanks!

(forgot to close it earlier..)

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.